#!/bin/bash
set -e -u
echo ".deb=$1"

PKGS="firehol tinyproxy dansguardian"
sudo apt-get remove --purge $PKGS

BINARY=/usr/bin/webcontentcontrol
PROGDIR=/usr/share/webcontentcontrol

if [ -e $BINARY ]
then
    sudo rm -iv $BINDIR
fi

if [ -e $PROGDIR ]
then
    echo "rm -rf $PROGDIR ? (y/n/q)"
    read ans
    case $ans in
    y|Y|yes) sudo rm -rf $PROGDIR && echo "$PROGDIR removed";;
    q) echo "exiting" && exit 1;;
    *) echo "Not removing $PROGDIR";;
    esac
fi

sudo gdebi $1
/usr/bin/webcontentcontrol
sudo apt-get remove --purge webcontentcontrol
